Lavalite package that provides package management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `provider/package`.

    "provider/package": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Provider\Package\Providers\PackageServiceProvider::class,

And also add it to alias

    'Package'  => Provider\Package\Facades\Package::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Provider\\PackageTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Provider\Package\Providers\PackageServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Provider\Package\Providers\PackageServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Provider\Package\Providers\PackageServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/package/{modulename}

**User**

    http://path-to-route-folder/user/package/{modulename}

**Public**

    http://path-to-route-folder/packages


### API endpoints

**List**

    http://path-to-route-folder/api/user/package/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/package/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/package/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/package/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/package/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/package/{modulename}/{slug}
    METHOD: GET